# pydicom.datadict.add_private_dict_entry

pydicom.datadict.add_private_dict_entry(private_creator: str, tag: int, VR: str, description: str, VM: str = '1') → None

  Update the private DICOM dictionary with a new entry.

  Parameters:

    - private_creator (str) – The private creator for the new entry.

    - tag (int) – The tag number for the new dictionary entry. Note that the 2 high bytes of the element part of the tag are ignored.

    - VR (str) – DICOM value representation.

    - description (str) – The descriptive name used in printing the entry.

    - VM (str, optional) – DICOM value multiplicity. If not specified, then `'1'` is used.

  Raises:

    ValueError – If the tag is a non-private tag.

  Notes

  Behaves like `add_dict_entry()`, only for a private tag entry.

  See also

  `add_private_dict_entries`

    Add or update multiple entries at once.